Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2111503 - Please build ClamAV 0.103.7 for EL7
Summary: Please build ClamAV 0.103.7 for EL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: clamav
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-27 11:51 UTC by bunkobugsy
Modified: 2022-08-08 09:50 UTC (History)
13 users (show)

Fixed In Version: clamav-0.103.7-1.el9 clamav-0.103.7-1.el7 clamav-0.103.7-1.el8 clamav-0.103.7-1.fc35 clamav-0.103.7-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-06 00:34:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
unrarsrc-6.1.7.tar.gz - UnRAR - free utility for RAR archives (deleted)
2022-07-27 11:51 UTC, bunkobugsy
no flags Details

Description bunkobugsy 2022-07-27 11:51:17 UTC
Created attachment 1899641 [details]
unrarsrc-6.1.7.tar.gz - UnRAR - free utility for RAR archives

Description of problem:

ClamAV 0.103.7 patch versions published

Version-Release number of selected component (if applicable):

ClamAV 0.103.7 is a critical patch release with the following fixes:
Upgrade the vendored UnRAR library to version 6.1.7.
Fix logical signature "Intermediates" feature.
Relax constraints on slightly malformed zip archives that contain overlapping file entries.

Additionaly could you enable use of freeware UnRAR library version 6.1.7 available here https://www.rarlab.com/rar/unrarsrc-6.1.7.tar.gz 


Thank you.

Comment 1 Robert Scheck 2022-07-27 23:57:17 UTC
ClamAV in Fedora and EPEL do NOT have UnRAR support enabled, because it is legally encumbered, so it is not affected by this vulnerability. For details, please see also https://src.fedoraproject.org/rpms/clamav/blob/epel7/f/clamav.spec#_44

Comment 2 Fedora Update System 2022-07-28 17:20:08 UTC
FEDORA-2022-0d098f9faa has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d098f9faa

Comment 3 Fedora Update System 2022-07-28 17:20:42 UTC
FEDORA-2022-2b27348213 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2b27348213

Comment 4 Fedora Update System 2022-07-28 17:21:04 UTC
FEDORA-EPEL-2022-3a1f56b06b has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-3a1f56b06b

Comment 5 Fedora Update System 2022-07-28 17:21:29 UTC
FEDORA-EPEL-2022-858300d946 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-858300d946

Comment 6 Fedora Update System 2022-07-28 17:21:49 UTC
FEDORA-EPEL-2022-eeac45f79c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-eeac45f79c

Comment 7 Fedora Update System 2022-07-29 00:23:29 UTC
FEDORA-EPEL-2022-eeac45f79c has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-eeac45f79c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-07-29 00:33:05 UTC
FEDORA-EPEL-2022-3a1f56b06b has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-3a1f56b06b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-07-29 01:23:40 UTC
FEDORA-2022-0d098f9faa has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0d098f9faa`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d098f9faa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-07-29 01:29:44 UTC
FEDORA-EPEL-2022-858300d946 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-858300d946

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-07-29 01:43:59 UTC
FEDORA-2022-2b27348213 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-2b27348213`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-2b27348213

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 bunkobugsy 2022-07-30 20:36:56 UTC
Seems to work fine on EL7.

Clamav 0.103 will EOL months before EL7, will 0.104 be built for EPEL7?
https://docs.clamav.net/faq/faq-eol.html#version-support-matrix

Thank you.

Comment 13 Fedora Update System 2022-08-06 00:34:02 UTC
FEDORA-EPEL-2022-3a1f56b06b has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-08-06 00:53:22 UTC
FEDORA-EPEL-2022-eeac45f79c has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-08-06 01:29:16 UTC
FEDORA-EPEL-2022-858300d946 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-08-06 01:41:10 UTC
FEDORA-2022-2b27348213 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-08-06 01:52:28 UTC
FEDORA-2022-0d098f9faa has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.